# VecPointwiseDivide

Computes the componentwise division w = x/y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecPointwiseDivide(Vec x,Vec y,Vec w)

Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

w -the result

Notes: any subset of the x, y, and w may be the same vector.

### See Also

VecPointwiseMult()

Level:advanced
Location:src/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/examples/tutorials/ex1.c.html
src/vec/examples/tutorials/ex1e.c.html
src/vec/examples/tutorials/ex1f.F.html
src/vec/examples/tutorials/ex1f90.F.html